# uopz_copy

(PECL uopz 1 >= 1.0.4, PECL uopz 2)

uopz_copy — Copy a function

警告

This function has been REMOVED in PECL uopz 5.0.0.

### 说明

uopz_copy(string `$function`): Closure
uopz_copy(string `$class`, string `$function`): Closure

Copy a function by name

### 参数

`class`

  The name of the class containing the function to copy

`function`

  The name of the function

### 返回值

A Closure for the specified function

### 示例

示例 #1 uopz_copy() example

`<?php
$strtotime = uopz_copy('strtotime');
uopz_function("strtotime", function($arg1, $arg2) use($strtotime) {
/* can call original strtotime from here */
var_dump($arg1);
});
var_dump(strtotime('dummy'));
?>`

以上示例会输出：

    string(5) "dummy"

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open